Hello!
I have uploaded site on Yii 1 to one of accounts. It was an error with timezones of mysql. I have changed timezones in mysql to '0:00' and after that mysql crashed.
[root@cwp ~]# service mysqld status
/usr/bin/my_print_defaults: Can't read dir of '/etc/my.cnf.' (Errcode: 2 "No such file or directory")
Fatal error in defaults handling. Program aborted
ERROR! MariaDB is not running
[root@cwp ~]# service mysqld start
Starting mysqld (via systemctl): Job for mariadb.service failed because the control process exited with error code. See "systemctl status mariadb.service" and "journalctl -xe" for details.
[FAILED]
[root@cwp ~]# systemctl status mariadb.service
● mariadb.service - MariaDB 10.1.35 database server
Loaded: loaded (/usr/lib/systemd/system/mariadb.service; enabled; vendor preset: disabled)
Drop-In: /etc/systemd/system/mariadb.service.d
└─migrated-from-my.cnf-settings.conf
Active: failed (Result: exit-code) since Чтв 2018-09-27 10:06:50 EDT; 28s ago
Docs: man:mysqld(
https://mariadb.com/kb/en/library/systemd/
Process: 4375 ExecStart=/usr/sbin/mysqld $MYSQLD_OPTS $_WSREP_NEW_CLUSTER $_WSREP_START_POSITION (code=exited, status=1/FAILURE)
Process: 4362 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= || VAR=`/usr/bin/galera_recovery`; [ $? -eq 0 ] && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
Process: 4360 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
Main PID: 4375 (code=exited, status=1/FAILURE)
Сен 27 10:06:49 cwp.epfantasy.com systemd[1]: Starting MariaDB 10.1.35 database server...
Сен 27 10:06:50 cwp.epfantasy.com sh[4362]: [102B blob data]
Сен 27 10:06:50 cwp.epfantasy.com sh[4362]: Fatal error in defaults handling. Program aborted
Сен 27 10:06:50 cwp.epfantasy.com mysqld[4375]: [92B blob data]
Сен 27 10:06:50 cwp.epfantasy.com mysqld[4375]: Fatal error in defaults handling. Program aborted
Сен 27 10:06:50 cwp.epfantasy.com systemd[1]: mariadb.service: main process exited, code=exited, status=1/FAILURE
Сен 27 10:06:50 cwp.epfantasy.com systemd[1]: Failed to start MariaDB 10.1.35 database server.
Сен 27 10:06:50 cwp.epfantasy.com systemd[1]: Unit mariadb.service entered failed state.
Сен 27 10:06:50 cwp.epfantasy.com systemd[1]: mariadb.service failed.
[root@cwp ~]# journalctl -xe
Сен 27 10:09:01 cwp.epfantasy.com postfix/pickup[1478]: 59A2E203E488: uid=0 from=<root>
Сен 27 10:09:01 cwp.epfantasy.com postfix/cleanup[4394]: 59A2E203E488: message-id=<20180927140901.59A2E203E488@cwp.epfantasy.com>
Сен 27 10:09:01 cwp.epfantasy.com postfix/cleanup[4394]: warning: proxy:mysql:/etc/postfix/mysql-virtual_alias_maps.cf lookup error for "root@cwp.epfantasy.com"
Сен 27 10:09:01 cwp.epfantasy.com postfix/cleanup[4394]: warning: 59A2E203E488: virtual_alias_maps map lookup problem for root@cwp.epfantasy.com -- deferring delivery
Сен 27 10:09:01 cwp.epfantasy.com postfix/cleanup[4394]: warning: proxy:mysql:/etc/postfix/mysql-virtual_vacation.cf lookup error for "root@cwp.epfantasy.com"
Сен 27 10:09:01 cwp.epfantasy.com postfix/cleanup[4394]: warning: 59A2E203E488: recipient_bcc_maps lookup problem
Сен 27 10:09:01 cwp.epfantasy.com postfix/pickup[1478]: 59B8A203E488: uid=0 from=<root>
How I can fix this problem?